package com.kmall.common.service;

import com.kmall.common.entity.FormIdsEntity;

import java.util.List;
import java.util.Map;

/**
 * 小程序form_id收集Service实现类
 *
 * @author Scott
 * @email
 * @date 2017-12-16 15:32:50
 */
public interface FormIdsService {

    public FormIdsEntity queryObject(Long id);

    public List<FormIdsEntity> queryList(Map<String, Object> map);

    public int queryTotal(Map<String, Object> map);

    public int save(FormIdsEntity formIds);

    public int save(Long userId, String formId, Integer validNum,String merchOrderSn);

    public int update(FormIdsEntity formIds);

    public int delete(Integer id);

    public int deleteBatch(Integer[] ids);

    public FormIdsEntity getFormIds(Long userId);

    public void releaseFormIds(FormIdsEntity formIds);

    public FormIdsEntity getFormIdsByMerchOrderSn(String merchOrderSn);

}
